# bench2-ser-tp.plot

#set terminal pdf
#set terminal png
set datafile separator ","
set datafile commentschars "#%"
set xtics nomirror
set xlabel "payload size [Mbit]"
set logscale x
set xrange [0.05:2000]
set ylabel "payload serialisation throughput [Mbit/s]"
set yrange [0:1600]
set grid ytics lt 0 lw 1
set grid xtics lt 0 lw 1
set key top left
plot "bench2.csv" using (64*$2/1024/1024):((64*$2/1024/1024)/($4/1000000)) with linespoints lt 1 lc 1 pt 1 title "pycket", \
     "bench2.csv" using (64*$2/1024/1024):((64*$2/1024/1024)/($7/1000000)) with linespoints lt 1 lc 2 pt 2 title "racket", \
     "bench2.csv" using (64*$2/1024/1024):((64*$2/1024/1024)/($10/1000000)) with linespoints lt 1 lc 3 pt 3 title "java", \
     "bench2.csv" using (64*$2/1024/1024):((64*$2/1024/1024)/($13/1000000)) with linespoints lt 1 lc 4 pt 4 title "racket/fasl"
