# bench2-size-over.plot

#set terminal pdf
#set terminal png
set datafile separator ","
set datafile commentschars "#%"
set xtics nomirror
set xlabel "payload size [Mbit]"
set logscale x
set xrange [0.05:2000]
set ylabel "serialisation size overhead (ratio)"
set yrange [0:4.6]
set grid ytics lt 0 lw 1
set grid xtics lt 0 lw 1
set key top left
plot "bench2.csv" using (64*$2/1024/1024):((8*$3)/(64*$2)) with linespoints lt 1 lc 1 pt 1 title "pycket", \
     "bench2.csv" using (64*$2/1024/1024):((8*$9)/(64*$2)) with linespoints lt 1 lc 3 pt 3 title "ghc", \
     "bench2.csv" using (64*$2/1024/1024):((8*$18)/(64*$2)) with linespoints lt 1 lc 9 pt 9 title "ghc/cereal", \
     "bench2.csv" using (64*$2/1024/1024):((8*$12)/(64*$2)) with linespoints lt 1 lc 4 pt 4 title "java", \
     "bench2.csv" using (64*$2/1024/1024):((8*$15)/(64*$2)) with linespoints lt 1 lc 5 pt 5 title "racket/fasl"
